SystemOutWriter Class Reference

Abstract class for writing to character streams. More...

Inherits Writer.

## Public Member Functions

| SystemOutWriter ()
| ~SystemOutWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)

## Static Public Member Functions

static void | write (const LogString &str)
static void | flush ()

## Additional Inherited Members

Protected Member Functions inherited from Writer
| Writer ()
virtual | ~Writer ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

SystemOutWriter | ( |  | ) |

~SystemOutWriter | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |

virtual

Implements Writer.

virtual void flush | ( | Pool & | p | ) |

virtual

Implements Writer.

static void flush | ( |  | ) |

static

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) |  |

virtual

Implements Writer.

static void write | ( | const LogString & | str | ) |

static

The documentation for this class was generated from the following file:

- systemoutwriter.h